%Tests reading the Silvaco raw files
clear all; close all;
filename = '_Fig9_33_1bit_Matlab_MSD.raw';
[header signame vRaw tRaw] = read_smart_spice_raw(filename);

disp(char(header));%Display the header info

disp(signame)

figure
plot(tRaw)

figure
numvars = size(vRaw, 1);
plotcols = 3;
plotrows = ceil(numvars/plotcols);
for varnum = 1:numvars
    subplot(plotrows,plotcols,varnum)
    plot(tRaw, vRaw(varnum, :))
    signum = varnum+1;
    startname = 4;
    stopname = strfind(signame(signum,startname:end), 9)+startname-2;
    titlestr = signame(varnum+1, startname:stopname);
    title (titlestr)
end